#ifndef SCRIPT_H
#define SCRIPT_H

#include "Object.h"

#define SCRIPT_STACK_SIZE 50

typedef struct Script {
    const char* error;
    unsigned char* byteCode;
    int byteCodeLength;
    int readIndex;
    Object stack[SCRIPT_STACK_SIZE];
    int stackIndex;
} Script;

Script* sInit(unsigned char* byteCode, int codeLength);
void sDelete(Script* sc);

void sRun(Script* sc);

#endif